h1 {
  color: red;
}

progress[value] {
  /* Get rid of the default appearance */
  appearance: none;

  /* This unfortunately leaves a trail of border behind in Firefox and Opera. We can remove that by setting the border to none. */
  border: none;

  /* Add dimensions */
  width: 40%;
  height: 15px;

  /* Although firefox doesn't provide any additional pseudo class to style the progress element container, any style applied here works on the container. */
  background-color: whiteSmoke;
  border-radius: 3px;
  box-shadow: 0 2px 3px rgba(0, 0, 0, 0.5) inset;

  /* Of all IE, only IE10 supports progress element that too partially. It only allows to change the background-color of the progress value using the 'color' attribute. */
  color: royalblue;

  position: relative;
  /*margin: 0 0 1.5em;*/
}

progress[value]::-webkit-progress-bar {
  background-color: whiteSmoke;
  border-radius: 3px;
  box-shadow: 0 2px 3px rgba(0, 0, 0, 0.5) inset;
}

progress[value]::-webkit-progress-value {
  position: relative;

  background-size:
    35px 20px,
    100% 100%,
    100% 100%;
  border-radius: 3px;

  /* Let's animate this */
  animation: animate-stripes 5s linear infinite;
}

progress[value]::-webkit-progress-value:after {
  /* Only webkit/blink browsers understand pseudo elements on pseudo classes. A rare phenomenon! */
  content: '';
  position: absolute;

  width: 5px;
  height: 5px;
  top: 7px;
  right: 7px;

  background-color: white;
  border-radius: 100%;
}

progress[value]::-moz-progress-bar {
  /* Gradient background with Stripes */
  background-image:
    -moz-linear-gradient(
      135deg,
      transparent,
      transparent 33%,
      rgba(0, 0, 0, 0.1) 33%,
      rgba(0, 0, 0, 0.1) 66%,
      transparent 66%
    ),
    -moz-linear-gradient(top, rgba(255, 255, 255, 0.25), rgba(0, 0, 0, 0.2)),
    -moz-linear-gradient(left, #09c, #f44);

  background-size:
    35px 20px,
    100% 100%,
    100% 100%;
  border-radius: 3px;

  /* Firefox doesn't support CSS3 keyframe animations on progress element. Hence, we did not include animate-stripes in this code block */
}

progress::-webkit-progress-value {
  /* Gradient background with Stripes */
  background-image:
    -webkit-linear-gradient(
      135deg,
      transparent,
      transparent 33%,
      rgba(0, 0, 0, 0.1) 33%,
      rgba(0, 0, 0, 0.1) 66%,
      transparent 66%
    ),
    -webkit-linear-gradient(top, rgba(255, 255, 255, 0.25), rgba(0, 0, 0, 0.2)),
    -webkit-linear-gradient(left, #09c, #690);
}

h1,
h2 {
  background-color: #ccc;
  border-radius: 0.5em;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 120%;
}

h3 {
  font-family: Arial, Helvetica, sans-serif;
}

body {
  background-color: #fffafa;
}

.loginPage {
  font-family: Arial, Helvetica, sans-serif;
}

mark {
  background-color: yellow;
  color: black;
}

table.showCheckRules th {
  background-color: #666;
  color: #fff;
  font-family: Arial, Helvetica, sans-serif;
  overflow: hidden;
  border-left: 1px solid black;
  margin-left: 1px;
  text-align: left;
  font-size: 80%;
}

table.showCheckRules tr {
  background-color: #fffbf0;
  color: #000;
  height: 5px;
  white-space: nowrap;
}

table.showCheckRules tr:nth-child(odd) {
  background-color: #e4ebf2;
}

table.dataTable thead th,
table.dataTable thead td {
  padding-left: 5px;
  padding-right: 5px;
  border-bottom: 1px solid #111;
}
table.dataTable tbody th,
table.dataTable tbody td {
  padding-left: 5px;
  padding-right: 5px;
}

table.showCheckRules {
  table-layout: fixed;
  border: 1px solid black;
  width: 90%;
  margin: 10px;
}

table.showCheckRules td {
  overflow: hidden;
  text-overflow: ellipsis;
  font-family: 'Courier New', Courier, monospace;
  border-left: 1px solid black;
  padding-right: 10px;
  font-size: 80%;
}

table.showCheckRules div {
  display: inline;
}

table.editCheckRules th {
  background-color: #666;
  color: #fff;
  font-family: Arial, Helvetica, sans-serif;
  overflow: hidden;
}

table.editCheckRules tr {
  background-color: #fffbf0;
  color: #000;
  height: 10px;
  white-space: nowrap;
}

table.editCheckRules tr:nth-child(odd) {
  background-color: #e4ebf2;
}

table.editCheckRules {
  table-layout: fixed;
  border: 1px solid black;
  width: 100%;
}

ul.horizontalStyle li {
  float: left;
  display: block;
  text-align: center;
  padding-right: 25px;
  padding-left: 0px;
  text-decoration: none;
}
ul.horizontalStyle {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
}
ul.horizontalStyle label {
  padding-left: 0px;
  margin-left: 1px;
}

table.editCheckRules td {
  overflow: hidden;
  /*text-overflow: ellipsis;*/
  font-family: 'Courier New', Courier, monospace;
}

table.editCheckRules .sqlTextarea {
  width: 95%;
  max-width: 1500px;
  height: 250px;
}

table.editCheckRules .commentTextarea {
  width: 95%;
  max-width: 1500px;
  height: 100px;
}

a.buttonLike {
  padding: 0.2em;
  margin: 1px;
  color: black;
  text-decoration: none;
  background-color: #cccccc;
  border-radius: 5px;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 90%;
}
a.buttonLike:focus {
  background-color: red;
  color: white;
}
a.buttonLike:hover {
  background-color: red;
  color: white;
}
a.buttonLike:active {
  background-color: read;
  color: white;
}

a.simple {
}
a.simple:focus {
}
a.simple:hover {
}
a.simple:active {
}

button {
  padding: 0.2em;
  color: black;
  text-decoration: none;
  background-color: #cccccc;
  border-radius: 5px;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 90%;
}
button:focus {
  background-color: red;
  color: white;
}
button:hover {
  background-color: red;
  color: white;
}
button:active {
  background-color: read;
  color: white;
}

table.editCheckRules2 th {
  background-color: #666;
  color: #fff;
  font-family: Arial, Helvetica, sans-serif;
  overflow: hidden;
}

table.editCheckRules2 tr {
  background-color: #fffbf0;
  color: #000;
  height: 10px;
  /*white-space: nowrap;*/
}

table.editCheckRules2 tr:nth-child(odd) {
  background-color: #e4ebf2;
}

table.editCheckRules2 {
  table-layout: fixed;
  border: 1px solid black;
  width: 100%;
}

table.editCheckRules2 td {
  overflow: hidden;
  text-overflow: ellipsis;
  font-family: 'Courier New', Courier, monospace;
  /*white-space: nowrap;*/
  font-size: 90%;
  vertical-align: middle;
}

table.editCheckRules2 textarea {
  width: 600px;
  height: 250px;
}

table.includedChecksTab th {
  background-color: #666;
  color: #fff;
  font-family: Arial, Helvetica, sans-serif;
  overflow: hidden;
  height: 10px;
  padding: 100em;
}

table.includedChecksTab tr {
  background-color: #fffbf0;
  color: #000;
  height: 10px;
  /*white-space: nowrap;*/
}

table.includedChecksTab tr:nth-child(odd) {
  background-color: #e4ebf2;
}

table.includedChecksTab {
  table-layout: fixed;
  border: 1px solid black;
  width: 100%;
}

table.includedChecksTab td {
  overflow: hidden;
  text-overflow: ellipsis;
  font-family: 'Courier New', Courier, monospace;
  /*white-space: nowrap;*/
  font-size: 90%;
  vertical-align: middle;
}

/* Style The Dropdown Button */

.dropbtn {
  background-color: red;
  color: white;
  padding: 8px;
  font-size: 16px;
  border: none;
  cursor: pointer;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
  position: relative;
  display: inline-block;
}

.menuInputfield {
  display: inline-block;
  position: relative;
}

.menuInputfield input {
  width: 100%;
  box-sizing: border-box;
  height: 35px;
  font-family: Arial, Helvetica, sans-serif;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
  font-family: Arial, Helvetica, sans-serif;
}

/* Links inside the dropdown */
.dropdown-content a {
  color: black;
  padding: 8px 16px;
  text-decoration: none;
  display: block;
  font-family: Arial, Helvetica, sans-serif;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {
  background-color: #f1f1f1;
}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
  display: block;
}

/* Change the background color of the dropdown button when the dropdown content is shown */
.dropdown:hover .dropbtn {
  background-color: #bb0000;
}
